POST
/v1/organizations/:organizationId/mdm/apple/enterprise/
Copy to clipboard
Create adm enterprise
Required Permission: mdm.apple.enterprise.create
Create adm enterprise
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
Body Params
application/json
appleId
string
required
clientPem
string
required
configuration
object
optional
primaryColor
string
optional
logo
string
optional
contactEmail
string
optional
contactPhone
string
optional
{
"appleId": "string",
"clientPem": "string",
"configuration": {
"primaryColor": "string",
"logo": "string",
"contactEmail": "[email protected]",
"contactPhone": "string"
}
}
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
id
string
optional
updatedAt
string
optional
createdAt
string
optional
certificates
object
optional
appleId
string
optional
commonName
string
optional
issuedAt
string
optional
expiredAt
string
optional
history
array [object]
optional
appleId
string
optional
commonName
string
optional
issuedAt
string
optional
expiredAt
string
optional
dep
object
optional
config
object
optional
consumerKey
string
optional
consumerSecret
string
optional
accessToken
string
optional
accessSecret
string
optional
accessTokenExpiry
string
optional
lastDeviceCursor
string
optional
depEnrollUrl
string
optional
configuration
object
optional
primaryColor
string
optional
logo
string
optional
contactEmail
string
optional
contactPhone
string
optional
organizationInfo
object
optional
id
string
optional
name
string
optional
slug
string
optional
store
object
optional
customDomain
string
optional
branding
object
optional
logo
string
optional
picture
string
optional
primaryColor
string
optional
configuration
object
optional
storageProvider
string
optional
createdBy
string
optional
protectionRules
object
optional
scheduleEnabled
boolean
optional
scheduleTimeZone
string
optional
schedule
object
optional
mon
array [integer]
optional
tue
array [integer]
optional
wed
array [integer]
optional
thu
array [integer]
optional
fri
array [integer]
optional
sat
array [integer]
optional
sun
array [integer]
optional
{
"status": true,
"data": {
"id": "string",
"updatedAt": "2024-01-01T00: 00:00Z",
"createdAt": "2024-01-01T00: 00:00Z",
"certificates": {
"appleId": "string",
"commonName": "string",
"issuedAt": "2024-01-01T00: 00:00Z",
"expiredAt": "2024-01-01T00: 00:00Z"
},
"history": [
{
"appleId": "string",
"commonName": "string",
"issuedAt": "2024-01-01T00: 00:00Z",
"expiredAt": "2024-01-01T00: 00:00Z"
}
],
"dep": {
"config": {
"consumerKey": "string",
"consumerSecret": "string",
"accessToken": "string",
"accessSecret": "string",
"accessTokenExpiry": "2024-01-01T00: 00:00Z"
},
"lastDeviceCursor": "string",
"depEnrollUrl": "string"
},
"configuration": {
"primaryColor": "string",
"logo": "string",
"contactEmail": "[email protected]",
"contactPhone": "string"
},
"organizationInfo": {
"id": "string",
"name": "string",
"slug": "string",
"store": {
"customDomain": "string"
},
"branding": {
"logo": "string",
"picture": "string",
"primaryColor": "string"
},
"configuration": {
"storageProvider": "string"
},
"createdBy": "string"
},
"protectionRules": {
"scheduleEnabled": true,
"scheduleTimeZone": "Africa/Abidjan",
"schedule": {
"mon": [
0
],
"tue": [
0
],
"wed": [
0
],
"thu": [
0
],
"fri": [
0
],
"sat": [
0
],
"sun": [
0
]
}
}
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5071,
"message": "AdmEnterprise already exists"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}